- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_Hash_Tuple Struct Reference
Eina » Data Types » Containers » Hash Table

Data for a hash table of key/value pairs. More...

## Data Fields
const void * | key
| The key.
void * | data
| The data associated to the key.
unsigned int | key_length
| The length of the key.

## Detailed Description

Data for a hash table of key/value pairs.

Examples:
  eina_hash_01.c, eina_hash_03.c, eina_hash_04.c, eina_hash_05.c, eina_hash_06.c, and eina_hash_07.c.